Changing Python Debugger

Hi,

I want to change the python debugger that is installed by default as it only supports python 2.6 onward and we use python 2.5.

There is a comment in pydevd file that mentions that if I want I can change the debugger to a version that supports python 2.5 but I can't find any documentation that shows me how and from where to get it.

Thanks.

1 comment

Hi Sungar,

Unfortunately, python 2.5 is not supported in PyCharm 2018.2.4, so it is not possible. You could downgrade to an older version of PyCharm which supports python 2.5, but I cannot tell you the exact version, unfortunately. It is definitely not 2018.x though.

0

Please sign in to leave a comment.